System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.LicenseProvider

The offers and methods. The method determines whether the retrieved by the method is valid. When you inherit from this class, you can override the method to provide your own validation logic.

This class exists to provide similar licensing functionality to COM licensing and uses text license files.

For more information on licensing, see How to: License Components and Controls.

Provides an implementation of a . The provider works in a similar fashion to the Microsoft .NET Framework standard licensing model.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Returns a key for the specified type.

  A confirmation that the parameter is licensed.

  The object type to return the key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.License `` `` `` ``

  At design time, the method looks for a license file named myClassName.LIC, where myClassName is the of the component to create. This file must be in the same directory as the .dll file that contains the component.

  Next, this method checks the first line of the license file against a key specified in the method. If the key is valid, this line is used as the .

  Returns a license for the instance of the component, if one is available.

  A valid . If this method cannot find a valid or a valid parameter, it returns null.

  A that specifies where you can use the licensed object. A that represents the component requesting the . An object that requests the . true if a should be thrown when a component cannot be granted a license; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method checks the key against the phrase: " myClassName is a licensed component. ", where myClassName is the of the component you want to create.

  Determines whether the key that the method retrieves is valid for the specified type.

  true if the key is a valid for the specified type; otherwise, false.

  The to check. A that represents the component requesting the .